Bug 89905 - Don't copy palettes from shared to user unless the user modifies them and search shared location for them
Summary: Don't copy palettes from shared to user unless the user modifies them and sea...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:5.1.0
Keywords: easyHack, skillCpp
Depends on:
Blocks: Matters-to-Caolan
  Show dependency treegraph
 
Reported: 2015-03-09 12:31 UTC by Caolán McNamara
Modified: 2016-10-25 19:21 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Caolán McNamara 2015-03-09 12:31:40 UTC
I believe that palettes are search for in just user/config and that on first start the shared ones are copied there.

We should

a) not copy them at first-start, but only on first-modify
b) search the shared and user location for palettes, with user overriding shared

that will allow an admin to add a new palette system-wide to libreoffice and everyone will then see it without any manual config work
Comment 1 Commit Notification 2015-06-07 14:40:01 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2c3bf6bfc244517a0134e320acaa1f720703d8f2

Related: tdf#89905 these PalettePath uses appear to really be UserConfigPath

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 2 Commit Notification 2015-06-07 14:40:05 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=29202a16d9f1934684c7d0978112849f2a21fe2f

Resolves: tdf#89905 don't copy palettes from shared to user

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Robinson Tryon (qubit) 2015-12-16 00:02:34 UTC Comment hidden (obsolete)